package com.bytedance.android.live.adminsetting;

import X.2Pr;
import X.AnonymousClass0AA;
import X.C09040Ys;
import X.LsC;
import X.M12;
import android.view.View;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.Fragment;
import com.bytedance.android.livesdk.LiveDialogFragment;
import com.bytedance.covode.number.Covode;

public class AdminSettingServiceDummy implements IAdminSettingService {
    static {
        Covode.recordClassIndex(4700);
    }

    public void checkFastAddBlockKeywordsDialog(long j, String str, AnonymousClass0AA r4, String str2) {
        M12.LIZ(str, str2);
    }

    public LiveDialogFragment getAdminSettingDialog() {
        return null;
    }

    public Fragment getLiveCommentBlockKeywordsFragment() {
        return null;
    }

    public Fragment getLiveCommentSettingFragment(LsC<? super Boolean, 2Pr> lsC) {
        M12.LIZ(lsC);
        return null;
    }

    public DialogFragment getMuteConfirmDialog(LsC<? super C09040Ys, 2Pr> lsC) {
        M12.LIZ(lsC);
        return null;
    }

    public Fragment getMuteDurationSettingFragment(View.OnClickListener onClickListener, LsC<? super C09040Ys, 2Pr> lsC) {
        M12.LIZ(onClickListener, lsC);
        return null;
    }

    public void onInit() {
    }

    public void reportDefaultMuteDurationChange(String str, C09040Ys r2, String str2, long j, Long l) {
        M12.LIZ(str, r2, str2);
    }
}
